Autor Tópico: Graficos e PDF  (Lida 4734 vezes)

Container

  • Iniciante
  • **
  • Mensagens: 79
    • Container solution
    • Email
Graficos e PDF
« Online: Novembro 07, 2008, 09:13:14 am »
"JpGraph Error This PHP installation is not configured with the GD library. Please recompile PHP with GD support to run JpGraph. (Neither function imagetypes() nor imagecreatefromstring() does exist)"

Como resolver esse problema na geracao dos graficos e PDF ?

Rodrigo Lins

  • Global Moderator
  • Expert
  • *****
  • Mensagens: 504
    • Overalt I.T
Re: Graficos e PDF
« Responder #1 Online: Novembro 07, 2008, 11:21:00 am »
É preciso compilar o PHP com suporte ao GD.

Dê uma olhada neste link

http://www.netmake.com.br/site/baseknowledge/baseknowledge.php?id_topico=254

Rodrigo Lins.

alcvieira

  • Novato
  • *
  • Mensagens: 40
Re: Graficos e PDF
« Responder #2 Online: Novembro 12, 2008, 07:42:33 pm »
to com o mesmo problema esse link tb n dá a solução... alguem sabe como resovler?

No diagnosis mostra que o GD n está instalado... ja li varios artigos para e quase
todos apontam para compilar o php com o GD mas n ha exemplos.

Grato

ValterSouza

  • Intermediário
  • ***
  • Mensagens: 184
Re: Graficos e PDF
« Responder #3 Online: Dezembro 23, 2008, 11:37:44 pm »
Alguém tem alguma dica para nos dizer como é que se compila o PHP com suporte ao GD?

rrma

  • Global Moderator
  • Expert
  • *****
  • Mensagens: 816
  • Quem com porcos se mistura tanto bate até que fura
    • Email
Re: Graficos e PDF
« Responder #4 Online: Fevereiro 06, 2010, 03:01:26 pm »
Alguém sabe como compilar o php no linux pra ter suporte a GD e JPeg?
Na net tem um monte de site dizendo que tem que compilar com um monte de parâmetros, mas ninguém se habilita a dizer como é que faz.
Alguém aqui saberia dizer?

Obrigado a todos.
Rodrigo
Rodrigo Araújo

Rodrigo Lins

  • Global Moderator
  • Expert
  • *****
  • Mensagens: 504
    • Overalt I.T
Re: Graficos e PDF
« Responder #5 Online: Fevereiro 07, 2010, 04:16:42 pm »
Boa Tarde,

Quando precisei compilar no linux o php com suporte ao GD, eu estava em sistema baseado no Debian, então pude utilizar o apt-get.
Se vocês estão no mesmo ambiente que o meu(debian), podem executar o seguinte comando:


apt-get install php5-gd


Espero ter ajudado.

Rodrigo Lins.